Bug 437004 - No notification that some packages weren't updated
No notification that some packages weren't updated
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 12:21 EDT by Jeremy Katz
Modified: 2008-03-17 13:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-17 13:35:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2008-03-11 12:21:48 EDT
If selecting update system, you don't get any notification that some of the
updates got dropped due to dependency problems.  Especially if you don't get a
security update applied this way, you want to know.  And it's arguable whether
it should automatically skip-broken
Comment 1 Richard Hughes 2008-03-15 10:24:34 EDT
Robin, for the packages skipped because of dep failure, these need to have a
Package() with the InfoEnum of BROKEN or SKIPPED.

Then we can trivially add this into the UI.
Comment 2 Robin Norwood 2008-03-16 23:06:34 EDT
This has been added in the latest git.

Note You need to log in before you can comment on or make changes to this bug.